%define gettext_package system-menus

Summary: Configuration and data files for the desktop menus
Name: system-menus
Version: 12.0.2
Release:    1%{?dist}
Source0: %{name}-%{version}.tar.gz
License: GPL+
BuildArch: noarch
BuildRequires: make
BuildRequires:  gcc
BuildRequires: desktop-file-utils
BuildRequires: intltool

%description
This package contains the XML files that describe the menu layout for
GNOME and KDE, and the .desktop files that define the names and icons
of "subdirectories" in the menus.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

#%find_lang %{gettext_package}

mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/settings-merged ||:

%files  -f %{gettext_package}.lang
%doc COPYING
%dir %{_sysconfdir}/xdg/menus
%dir %{_sysconfdir}/xdg/menus/applications-merged
%dir %{_sysconfdir}/xdg/menus/preferences-merged
%dir %{_sysconfdir}/xdg/menus/preferences-post-merged
%dir %{_sysconfdir}/xdg/menus/settings-merged
%config %{_sysconfdir}/xdg/menus/*.menu
%exclude %{_datadir}/desktop-menu-patches/*.desktop
%{_datadir}/desktop-directories/*.directory

%changelog
* Fri Aug 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.0.2-1
- initial build
